# Uses of Class
org.eclipse.ui.views.markers.internal.MarkerGroup

Packages that use MarkerGroup
Package
Description
org.eclipse.ui.views.markers.internal

## Uses of MarkerGroup in org.eclipse.ui.views.markers.internal

Subclasses of MarkerGroup in org.eclipse.ui.views.markers.internal
Modifier and Type
Class
Description
`class`
`TypeMarkerGroup`
The TypeMarkerGroup is a MarkerGroup used for the sorting by type which cannot be expressed currently using the markerSupport extension point.
Methods in org.eclipse.ui.views.markers.internal that return MarkerGroup
Modifier and Type
Method
Description
`static MarkerGroup`
MarkerGroup.`createMarkerGroup(IConfigurationElement element)`
Create a new MarkerGroup from element.
`MarkerGroup`
MarkerGroupingEntry.`getMarkerGroup()`
Return the marker group for the receiver.
`MarkerGroup`
MarkerSupportRegistry.`getMarkerGroup(String categoryName)`
Get the markerGroup associated with categoryName
Methods in org.eclipse.ui.views.markers.internal that return types with arguments of type MarkerGroup
Modifier and Type
Method
Description
`Collection<MarkerGroup>`
ContentGeneratorDescriptor.`getMarkerGroups()`
Get the markerGroups associated with the receiver.
`Collection<MarkerGroup>`
MarkerSupportRegistry.`getMarkerGroups()`
Return the FieldMarkerGroups in the receiver.
Methods in org.eclipse.ui.views.markers.internal with parameters of type MarkerGroup
Modifier and Type
Method
Description
`void`
AttributeMarkerGrouping.`addGroup(MarkerGroup markerGroup)`
Add markerGroup to the list of referenced groups.
`void`
MarkerGroupingEntry.`setGroup(MarkerGroup group)`
Set the group for the receiver.